Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
[Java] Class GrailsFlowHandlerAdapter

    java.lang.Object
      org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
          org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerAdapter

All Implemented Interfaces:
  GrailsApplicationAware

    public class GrailsFlowHandlerAdapter
    extends FlowHandlerAdapter

Extends the default FlowHandlerAdapter in order to populate a valid Grails request.

Authors:
  Graeme Rocher

Since:
  1.1.1

Method Summary
`ModelAndView` | `handle(HttpServletRequest request, HttpServletResponse response, java.lang.Object handler)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Method Detail

### handle

    @Override
    public ModelAndView handle(HttpServletRequest request, HttpServletResponse response, java.lang.Object handler)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation